<form (ngSubmit)="submitForm()" #productForm="ngForm" enctype="multipart/form-data">
    <div class="form-group">
      <label for="prodCategory">Product Category</label>
      <input type="text" class="form-control" id="prodCategory" name="prodCategory" [(ngModel)]="product.prodCategory" required>
    </div>
    <div class="form-group">
      <label for="prodTitle">Product Title</label>
      <input type="text" class="form-control" id="prodTitle" name="prodTitle" [(ngModel)]="product.prodTitle" required>
    </div>
   
    <div class="form-group">
      <label for="prodCost">Product Cost</label>
      <input type="number" class="form-control" id="prodCost" name="prodCost" [(ngModel)]="product.prodCost" required>
    </div>
    <div class="form-group">
        <label for="prodDesc">Product Description</label>
        <textarea class="form-control" id="prodDesc" name="prodDesc" [(ngModel)]="product.prodDesc" required></textarea>
      </div>
    <div class="form-group">
      <label for="file">Product Image/File</label>
      <input type="file" class="form-control" id="file" name="file" (change)="onFileSelected($event)" required>
    </div>
    <button type="submit" class="btn btn-primary">Submit</button>
  </form>